PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_freetuple

## Name

SPI_freetuple -- Frees a tuple allocated in upper Executor context

## Synopsis

    SPI_freetuple(pointer)

### Inputs

HeapTuple `pointer`

  Pointer to allocated tuple

### Outputs

None

## Description

`SPI_freetuple` frees a tuple previously allocated in upper Executor context.

## Usage

This function is no longer different from plain `heap_freetuple`. It's kept just for backward compatibility of existing code.

Prev | Home | Next
SPI_pfree | Up | SPI_freetuptable